### Method

# Clutter Stage get_capture_final_size

#### Declaration [src]

    gboolean
    clutter_stage_get_capture_final_size (
      ClutterStage* stage,
      MtkRectangle* rect,
      int* out_width,
      int* out_height,
      float* out_scale
    )

#### Description [src]

Get the size of the framebuffer one must pass to `clutter_stage_paint_to_buffer()` or `clutter_stage_paint_to_framebuffer()` would be used with the same `rect`.

#### Parameters

`rect`

  Type: `MtkRectangle`

  A rectangle.

  The data is owned by the caller of the method.

`out_width`

  Type: `int*`

  The final width.

  The argument will be set by the function.
  The argument can be `NULL`.

`out_height`

  Type: `int*`

  The final height.

  The argument will be set by the function.
  The argument can be `NULL`.

`out_scale`

  Type: `float*`

  The final scale factor.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the size has been retrieved, `FALSE` otherwise.